# Visualization
TKService
MFT

# MFT_ListOfFontHandle Class Reference

`#include <MFT_ListOfFontHandle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MFT_ListOfFontHandle ()
Standard_EXPORT void | Clear ()
| ~MFT_ListOfFontHandle ()
Standard_EXPORT const MFT_ListOfFontHandle & | Assign (const MFT_ListOfFontHandle &Other)
const MFT_ListOfFontHandle & | operator= (const MFT_ListOfFontHandle &Other)
Standard_EXPORT void | Append (const MFT_FileHandle &T)
void | Append (MFT_ListOfFontHandle &S)
Standard_EXPORT void | Prepend (const MFT_FileHandle &T)
void | Prepend (MFT_ListOfFontHandle &S)
void | InsertBefore (const Standard_Integer Index, const MFT_FileHandle &T)
void | InsertBefore (const Standard_Integer Index, MFT_ListOfFontHandle &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const MFT_FileHandle &T)
void | InsertAfter (const Standard_Integer Index, MFT_ListOfFontHandle &S)
Standard_EXPORT const MFT_FileHandle & | First () const
Standard_EXPORT const MFT_FileHandle & | Last () const
void | Split (const Standard_Integer Index, MFT_ListOfFontHandle &Sub)
Standard_EXPORT const MFT_FileHandle & | Value (const Standard_Integer Index) const
const MFT_FileHandle & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const MFT_FileHandle &I)
Standard_EXPORT MFT_FileHandle & | ChangeValue (const Standard_Integer Index)
MFT_FileHandle & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MFT_ListOfFontHandle (const MFT_ListOfFontHandle &Other)

## Constructor & Destructor Documentation

MFT_ListOfFontHandle::MFT_ListOfFontHandle | ( |  | ) |

MFT_ListOfFontHandle::~MFT_ListOfFontHandle | ( |  | ) | `[inline]`

Standard_EXPORT MFT_ListOfFontHandle::MFT_ListOfFontHandle | ( | const MFT_ListOfFontHandle & | Other | ) | `[private]`

## Member Function Documentation

void MFT_ListOfFontHandle::Append | ( | MFT_ListOfFontHandle & | S | ) |

Standard_EXPORT void MFT_ListOfFontHandle::Append | ( | const MFT_FileHandle & | T | ) |

Standard_EXPORT const MFT_ListOfFontHandle& MFT_ListOfFontHandle::Assign | ( | const MFT_ListOfFontHandle & | Other | ) |

Standard_EXPORT MFT_FileHandle& MFT_ListOfFontHandle::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MFT_ListOfFontHandle::Clear | ( |  | ) |

Standard_EXPORT const MFT_FileHandle& MFT_ListOfFontHandle::First | ( |  | ) | const

void MFT_ListOfFontHandle::InsertAfter | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontHandle & | S
| ) |

Standard_EXPORT void MFT_ListOfFontHandle::InsertAfter | ( | const Standard_Integer | Index,
|  | const MFT_FileHandle & | T
| ) |

void MFT_ListOfFontHandle::InsertBefore | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontHandle & | S
| ) |

void MFT_ListOfFontHandle::InsertBefore | ( | const Standard_Integer | Index,
|  | const MFT_FileHandle & | T
| ) |

Standard_EXPORT const MFT_FileHandle& MFT_ListOfFontHandle::Last | ( |  | ) | const

void MFT_ListOfFontHandle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MFT_ListOfFontHandle::operator new | ( | size_t | size | ) | `[inline]`

void* MFT_ListOfFontHandle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

MFT_FileHandle& MFT_ListOfFontHandle::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const MFT_FileHandle& MFT_ListOfFontHandle::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MFT_ListOfFontHandle& MFT_ListOfFontHandle::operator= | ( | const MFT_ListOfFontHandle & | Other | ) | `[inline]`

void MFT_ListOfFontHandle::Prepend | ( | MFT_ListOfFontHandle & | S | ) |

Standard_EXPORT void MFT_ListOfFontHandle::Prepend | ( | const MFT_FileHandle & | T | ) |

Standard_EXPORT void MFT_ListOfFontHandle::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MFT_ListOfFontHandle::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MFT_ListOfFontHandle::SetValue | ( | const Standard_Integer | Index,
|  | const MFT_FileHandle & | I
| ) |

void MFT_ListOfFontHandle::Split | ( | const Standard_Integer | Index,
|  | MFT_ListOfFontHandle & | Sub
| ) |

Standard_EXPORT const MFT_FileHandle& MFT_ListOfFontHandle::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MFT_ListOfFontHandle.hxx